% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data-documentation.R
\name{bcg_vaccine_df}
\alias{bcg_vaccine_df}
\title{BCG Vaccine Effectiveness Against Tuberculosis}
\format{
A data frame with 13 observations and 9 variables:
\describe{
  \item{trial}{Integer identifier for each study}
  \item{author}{Character vector indicating the lead author of each study}
  \item{year}{Integer year in which the study was published}
  \item{tpos}{Integer count of tuberculosis cases in the treatment group}
  \item{tneg}{Integer count of non-cases in the treatment group}
  \item{cpos}{Integer count of tuberculosis cases in the control group}
  \item{cneg}{Integer count of non-cases in the control group}
  \item{ablat}{Integer representing absolute latitude of study location}
  \item{alloc}{Character string describing the method of allocation}
}
}
\source{
Data taken from the metadat package version 1.4-0
}
\usage{
data(bcg_vaccine_df)
}
\description{
This dataset, bcg_vaccine_df, is a data frame containing results from 13 studies
examining the effectiveness of the Bacillus Calmette-Guerin (BCG) vaccine against tuberculosis.
}
\details{
The dataset name has been kept as 'bcg_vaccine_df' to avoid confusion with other datasets
in the R ecosystem. This naming convention helps distinguish this dataset as part of the
infectiousR package and assists users in identifying its specific characteristics.
The suffix 'df' indicates that the dataset is a data frame. The original content has not been modified
in any way.
}
